V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
推荐学习书目
Learn Python the Hard Way
Python Sites
PyPI - Python Package Index
http://diveintopython.org/toc/index.html
Pocoo
值得关注的项目
PyPy
Celery
Jinja2
Read the Docs
gevent
pyenv
virtualenv
Stackless Python
Beautiful Soup
结巴中文分词
Green Unicorn
Sentry
Shovel
Pyflakes
pytest
Python 编程
pep8 Checker
Styles
PEP 8
Google Python Style Guide
Code Style from The Hitchhiker's Guide
bruce2000
V2EX  ›  Python

Gateone 运行报 tornado httpserver.py SyntaxError

  •  1
     
  •   bruce2000 · 2019-04-07 00:27:19 +08:00 · 2729 次点击
    这是一个创建于 1140 天前的主题,其中的信息可能已经有所发展或是发生改变。
    sh-4.2# gateone start
    Traceback (most recent call last):
      File "/usr/bin/gateone", line 9, in <module>
        load_entry_point('gateone==1.2.0', 'console_scripts', 'gateone')()
      File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 378, in load_entry_point
        return get_distribution(dist).load_entry_point(group, name)
      File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2566, in load_entry_point
        return ep.load()
      File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2260, in load
        entry = __import__(self.module_name, globals(),globals(), ['__name__'])
      File "/usr/lib/python2.7/site-packages/gateone-1.2.0-py2.7.egg/gateone/core/server.py", line 361, in <module>
        import tornado.httpserver
      File "/usr/lib64/python2.7/site-packages/tornado/httpserver.py", line 144
        def __init__(self, *args: Any, **kwargs: Any) -> None:
                                ^
    SyntaxError: invalid syntax
    

    Gateone 项目:https://github.com/liftoff/GateOne 用 python3.6 没有这个报这个错误,但是会报其他包的 SyntaxError

    github 上的 docker 是 from ubuntu,我用的 centos7,难道是系统问题?

    3 条回复    2019-04-08 11:02:02 +08:00
    bruce2000
        1
    bruce2000  
    OP
       2019-04-07 00:29:17 +08:00
    第一次发,MarkDown 不会用,大佬见谅
    NoAnyLove
        2
    NoAnyLove  
       2019-04-07 12:52:47 +08:00
    Python 3 引入的 typing,用 Python 2.7 当然是跑不起来的。把 tornado 降级到 4.0 试试
    bruce2000
        3
    bruce2000  
    OP
       2019-04-08 11:02:02 +08:00
    @NoAnyLove 多谢指点,这个我很早试过
    问题解决了,是 docker 启动脚本有个自动更新功能,会把 tornado 自动更新到 6.0
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2490 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 23ms · UTC 05:38 · PVG 13:38 · LAX 22:38 · JFK 01:38
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.